Bug 495239 - Fedora 11 Beta Live freezes when compiz or 3D is used - ati
Fedora 11 Beta Live freezes when compiz or 3D is used - ati
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 13:15 EDT by nmauricioxt
Modified: 2010-03-23 20:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 20:11:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logs (85.47 KB, text/plain)
2009-04-18 14:19 EDT, nmauricioxt
no flags Details

  None (edit)
Description nmauricioxt 2009-04-10 13:15:09 EDT
Description of problem:
Fedora 11 Beta Live boots ok (KMS/Plymouth enabled and ok), but when enabling compiz or running glxgears the system freezes and a hard-reboot is needed.

System Specs:
Pentium D @ 2.8 Ghz
3GB DDR2 667Mhz RAM (2x 1GB, 2x 512MB)
Motherboard Intel DP965LT
ATi Radeon X1650XT (xf86-video-radeon)
Sound Blaster Live!


How reproducible:
Try 3D acceleration

Steps to Reproduce:
1. Boot up Fedora 11 Live
2. Enable Desktop Effects or run glxgears
  
Actual results:
System freezes totally

Expected results:
Desktop effects enabled

Additional info:
On Fedora 10 Live worked ok
Comment 1 Matěj Cepl 2009-04-17 18:52:54 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please before you freeze the X with Desktop effects attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 nmauricioxt 2009-04-18 14:19:48 EDT
Created attachment 340171 [details]
Logs

Here is xorg.0.log, checked everything and no xorg.conf in /etc/X11/ was found.

I'm glad for being helpful to you devs, keep on the hard work!
Comment 3 Matěj Cepl 2009-04-20 15:03:18 EDT
(In reply to comment #2)
> I'm glad for being helpful to you devs, keep on the hard work!  

It's awesome to hear something nice for a change ;-).

We'll look at this as soon as possible.
Comment 4 Bug Zapper 2009-06-09 09:37:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jérôme Glisse 2009-10-06 15:02:56 EDT
Does it works with final Fedora11 ? If no does Fedora12 works anybetter (beta livecd for instance)
Comment 6 Matěj Cepl 2009-11-05 13:25:58 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 nmauricioxt 2009-11-12 17:16:32 EST
(In reply to comment #5)
> Does it works with final Fedora11 ? If no does Fedora12 works anybetter (beta
> livecd for instance)  

Yes, it does work with Fedora 11 Final, haven't tested Fedora 12 though, great work
Comment 8 Vedran Miletić 2010-03-23 20:11:04 EDT
Closing as worksforme per comment 7.

Note You need to log in before you can comment on or make changes to this bug.